### Method

# Atspi Component contains

#### Declaration [src]

    gboolean
    atspi_component_contains (
      AtspiComponent* obj,
      gint x,
      gint y,
      AtspiCoordType ctype,
      GError** error
    )

#### Description [src]

Queries whether a given `AtspiComponent` contains a particular point.

#### Parameters

`x`

  Type: `gint`

  A #gint specifying the x coordinate in question.

`y`

  Type: `gint`

  A #gint specifying the y coordinate in question.

`ctype`

  Type: `AtspiCoordType`

  The desired coordinate system of the point (`x`, `y`) (e.g. CSPI_COORD_TYPE_WINDOW, CSPI_COORD_TYPE_SCREEN).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the specified component contains the point (`x`, `y`), `FALSE` otherwise.